Create Password PolicyAsk AIpost https://{application_vanity_domain}/api/v1/password-policiesQuery ParamsupsertbooleanDefaults to falseBoolean indicating if the operation should be treated as an upserttruefalseBody ParamsPassword policy JSON objectidstringownerTypestringenumrequiredlength between 1 and 30[Required on Create and Upsert] The type of the owner of the resource.APPLICATIONAPPLICATIONTENANTAllowed:APPLICATIONTENANTownerIdstringrequiredlength between 1 and 26[Required on Create and Upsert] The ID of the owner of the resource.minimumLengthinteger8 to 64[Required on Create] The minimum number of characters required for a password to be valid.lowercaseCharRequiredbooleanDefaults to falseBoolean indicating whether the password is required to have at least 1 lowercase character (a-z).truefalseuppercaseCharRequiredbooleanDefaults to falseBoolean indicating whether the password is required to have at least 1 uppercase character (A-Z).truefalsedigitRequiredbooleanDefaults to falseBoolean indicating whether the password is required to have at least 1 digit (0-9).truefalsespecialCharRequiredbooleanDefaults to falseBoolean indicating whether the password is required to have at least 1 special character (!"#$%&'()*+,-./:;<=>?@[]^_`{|}~).truefalsebreachedPwdDetectionEnabledbooleanDefaults to falseBoolean indicating whether breached password detection is enabled.truetruefalsebreachedPwdLoginRemediationStrategystringenumDefaults to NONEThe remediation strategy that will be used when a breached password is detected on login. Note, in order for the remediation strategy to be applied breachedPwdDetectionEnabled must be set to true Supported Strategies: NONE: No remediation strategy will be applied. REQUIRE_PASSWORD_RESET: The user will be required to reset their password. REQUIRE_PASSWORD_RESETNONEREQUIRE_PASSWORD_RESETAllowed:NONEREQUIRE_PASSWORD_RESETmetadatastringResponses 200OK 201Created 400Bad Request 401Unauthorized 403Forbidden 405Method Not Allowed 406Not Acceptable 409Conflict 415Unsupported Media Type 500Internal Server Error 503Service UnavailableUpdated 6 months ago